Blob Blame History Raw
---
synced_files:
  - src: plans/
    dest: plans/
  - src: .fmf/
    dest: .fmf/
# packit was already taken on PyPI
upstream_package_name: packitos
upstream_project_url: https://github.com/packit/packit
copy_upstream_release_description: true

actions:
  create-archive:
    - "python3 setup.py sdist --dist-dir ."
    - "sh -c 'echo packitos-$(python3 setup.py --version).tar.gz'"
  get-current-version:
    - "python3 setup.py --version"
  pre-sync:
    # FMF  has to be installed on system where you are calling this tool.
    - python3 plans/git_reference.py

allowed_gpg_keys:
  - 5DE3E0509C47EA3CF04A42D34AEE18F83AFDEB23

jobs:
  - job: propose_downstream
    trigger: release
    metadata:
      dist_git_branches:
        - fedora-all
        - epel-8

  - job: sync_from_downstream
    trigger: commit

  - job: copr_build
    trigger: pull_request
    metadata:
      targets:
        - fedora-all
        - epel-8
  - job: tests
    trigger: pull_request
    metadata:
      targets:
        - fedora-all
        - epel-8

  - job: copr_build
    trigger: commit
    metadata:
      branch: main
      targets:
        - fedora-all
        - epel-8
      project: packit-dev
      list_on_homepage: True
      preserve_project: True
  - job: copr_build
    trigger: release
    metadata:
      targets:
        - fedora-all
        - epel-8
      project: packit-releases
      list_on_homepage: True
      preserve_project: True